%global with_python3 1

Name:           python-poppler-qt4
Version:        0.18.1
Release:        5%{?dist}
Summary:        Python bindings for the Poppler PDF rendering library

Group:          Applications/Publishing
License:        LGPLv2+
URL:            http://code.google.com/p/%{name}/
Source0:        http://python-poppler-qt4.googlecode.com/files/%{name}-%{version}.tar.gz
Requires: PyQt4
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}
BuildRequires:  python2-devel
BuildRequires:  PyQt4-devel
BuildRequires:  poppler-qt-devel >= 0.12.0
BuildRequires:  sip-devel >= 4.9.1

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python2_sitearch}/.*\.so$
%filter_setup
}

%description
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.


%if 0%{?with_python3}
%package -n python3-poppler-qt4
Summary:        Python bindings for the Poppler PDF rendering library

Requires: python3-PyQt4
BuildRequires:  python3-devel
BuildRequires:  python3-PyQt4-devel
BuildRequires:  python3-sip-devel >= 4.9.1

# we don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python3_sitearch}/.*\.so$
%filter_setup
}

%description -n python3-poppler-qt4
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

%endif # with_python3

%prep
%setup -q 

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
CFLAGS="%{optflags}" %{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd
%endif # with_python3


%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root=%{buildroot}

%files
%doc ChangeLog LICENSE TODO README
%{python2_sitearch}/popplerqt4.so
%{python2_sitearch}/python_poppler*

%if 0%{?with_python3}
%files -n python3-poppler-qt4
%doc ChangeLog LICENSE TODO README
%{python3_sitearch}/popplerqt4.cpython-*.so
%{python3_sitearch}/python_poppler*
%endif # with_python3


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.18.1-2
- Rebuilt for GCC 5 C++11 ABI change

* Tue Sep 23 2014 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.18.1-1
- python-poppler-qt4-0.18.1 is available (#1131319)
- Add Python 3 support

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 16 2014 Rex Dieter <rdieter@fedoraproject.org> 0.16.2-10
- rebuild (sip)

* Wed Oct 16 2013 Rex Dieter <rdieter@fedoraproject.org> 0.16.2-9
- rebuild (sip)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 17 2013 Rex Dieter <rdieter@fedoraproject.org> 0.16.2-7
- rebuild (sip)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 03 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.16.2-5
- Rebuilt for broken sip dependancy

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan 2 2012 Brendan Jones <brendan.s.jones@gmail.com> - 0.16.2-2
- Added runtime dependencies

* Wed Dec 14 2011 Brendan Jones <brendan.s.jones@gmail.com> - 0.16.2-1
- Initial package for Fedora
